# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::LineStipple Class Reference

RenderState wrapping the OpenGL function glLineStipple(), see also http://www.opengl.org/sdk/docs/man/xhtml/glLineStipple.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::LineStipple:

List of all members.

## Public Member Functions

| LineStipple (int factor=1, GLushort pattern=~(GLushort) 0)
virtual ERenderState | type () const
virtual void | apply (int index, const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | set (int factor, GLushort pattern)
void | setFactor (int factor)
void | setPattern (GLushort pattern)
int | factor () const
GLushort | pattern () const
virtual ref< RenderState > | clone () const

## Protected Attributes

int | mFactor
GLushort | mPattern

## Detailed Description

RenderState wrapping the OpenGL function glLineStipple(), see also http://www.opengl.org/sdk/docs/man/xhtml/glLineStipple.xml for more information.

See also:
  Shader, Effect, Actor, vl::EN_LINE_STIPPLE

Definition at line 1181 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::LineStipple::LineStipple | ( | int | factor = `1`,
|  | GLushort | pattern = `~(GLushort)0`
| ) |  | `[inline]`

Definition at line 1186 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual ERenderState vl::LineStipple::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 1191 of file Shader.hpp.

References vl::RS_LineStipple.

void LineStipple::apply | ( | int | index,
|  | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 612 of file Shader.cpp.

References mFactor, mPattern, and VL_CHECK_OGL.

void vl::LineStipple::set | ( | int | factor,
|  | GLushort | pattern
| ) |  | `[inline]`

Definition at line 1195 of file Shader.hpp.

void vl::LineStipple::setFactor | ( | int | factor ) | `[inline]`

Definition at line 1197 of file Shader.hpp.

void vl::LineStipple::setPattern | ( | GLushort | pattern ) | `[inline]`

Definition at line 1199 of file Shader.hpp.

int vl::LineStipple::factor | ( | ) | const`[inline]`

Definition at line 1201 of file Shader.hpp.

GLushort vl::LineStipple::pattern | ( | ) | const`[inline]`

Definition at line 1203 of file Shader.hpp.

virtual ref<RenderState> vl::LineStipple::clone | ( | ) | const`[inline, virtual]`

Implements vl::RenderState.

Definition at line 1205 of file Shader.hpp.

## Member Data Documentation

int vl::LineStipple::mFactor`[protected]`

Definition at line 1213 of file Shader.hpp.

Referenced by apply().

GLushort vl::LineStipple::mPattern`[protected]`

Definition at line 1214 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:52.
Permission is granted to use this page to write and publish articles regarding Visualization Library.